MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025020Open CASCADE[OCCT] OCCT:DRAWpublic2014-06-18 16:202014-11-11 12:52
Reporteribs 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025020: checkoverlapedges doesn't have the check for degenerated edges
Descriptioncheckoverlapedges uses ShapeAnalysis_Edge::CheckOverlapping method that can't processed degenerated edges.

checkoverlapedges doesn't check for degenerated edges also.
Steps To Reproducerestore b.brep
explode b e
checkoverlapedges b_1 b_2
TagsNo tags attached.
Test case numberbugs demo(001) bug25020
Attached Files? file icon b.brep (40,277 bytes) 2014-06-18 16:22

- Relationships

-  Notes
(0029819)
ibs (developer)
2014-06-18 17:02

dear bugmaster, please test and integrate
(0029823)
mkv (tester)
2014-06-19 11:20

Dear BugMaster,

Branch CR25020 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8ec5e9671ee5eb7f209975ffdcfb4bc44a66c793

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 203 (203 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25020-master-occt/Debian60-64/bugs/demo/bug25020.html [^]
http://occt-tests/CR25020-master-occt/Windows-32-VC9/bugs/demo/bug25020.html [^]
bugs demo(001) bug25020: OK

Testing on Linux:
Total MEMORY difference: 348193600 / 348260256
Total CPU difference: 51837.22999999997 / 51079.26999999988

Testing on Windows:
Total MEMORY difference: 376141364 / 376867716
Total CPU difference: 38849.484375 / 38860.375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 7d0496dd
Timestamp: 2014-06-19 09:29:13
Author: ibs
Committer: apn
Details ] Diff ]
0025020: checkoverlapedges doesn't have the check for degenerated edges

the check for degenerated edges added
Test case for issue CR25020
mod - src/SWDRAW/SWDRAW_ShapeFix.cxx Diff ] File ]
add - tests/bugs/demo/bug25020 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-18 16:20 ibs New Issue
2014-06-18 16:20 ibs Assigned To => ibs
2014-06-18 16:22 ibs File Added: b.brep
2014-06-18 16:23 ibs Steps to Reproduce Updated View Revisions
2014-06-18 17:01 ibs Severity minor => trivial
2014-06-18 17:01 ibs Status new => resolved
2014-06-18 17:02 ibs Note Added: 0029819
2014-06-18 17:02 ibs Assigned To ibs => bugmaster
2014-06-18 17:02 ibs Status resolved => reviewed
2014-06-18 17:08 mkv Assigned To bugmaster => mkv
2014-06-19 11:20 mkv Note Added: 0029823
2014-06-19 11:21 mkv Test case number => bugs demo(001) bug25020
2014-06-19 11:21 mkv Assigned To mkv => bugmaster
2014-06-19 11:21 mkv Status reviewed => tested
2014-06-20 12:54 apn Changeset attached => occt master 7d0496dd
2014-06-20 12:54 apn Assigned To bugmaster => apn
2014-06-20 12:54 apn Status tested => verified
2014-06-20 12:54 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker